# Knative Adopters

This page contains a list of organizations who are using Knative in production or in stages of development.

If you would like to be included in this table, please submit a comment to [this issue](https://github.com/knative/community/issues/696) and your information will be added.

## Adopters

| Organization                      | Product/Project Name                                                   | Status                   | More Information                                                     |
| --------------------------------- | ---------------------------------------------------------------------- | ------------------------ | -------------------------------------------------------------------- |
| Alibaba Cloud                      | Knative on Alibaba Cloud                                               | Production               | [link](https://cs.console.aliyun.com/)                               |
| Bloomberg L.P.*                    | Bloomberg Data Science Platform                                        | Production               | [link](https://www.bloomberg.net/)
| Blue Origin*                       |                                                                        | Production               | [link](https://www.blueorigin.com/)                                  |
| Box* | Serverless PaaS for internal use cases | Development | [link](https://box.com/) |
| Chainguard*                        |                                                                        | Production               | [link](https://chainguard.dev)                                       |
| Control Plane Corporation*         | Control Plane Multi-Cloud Platform                                     | Production               | [link](https://www.controlplane.com/)                                |
| deepc.ai*                          |                                                                        | Production               | [link](https://www.deepc.ai/)                                        |
| EASE lab @ University of Edinbugh* | [vHive](https://github.com/ease-lab/vhive )                            | Production               | [link](https://easelab.inf.ed.ac.uk)                                 |
| Fulcrum*                           | Fulcrum                                                                | Production               | [link](https://www.fulcrumapp.com/)                                  |
| Gojek                              | [CaraML MLOps Platform](https://github.com/caraml-dev)                 | Production               | [link](https://www.gojek.com)                          |
| Google Cloud                       | Cloud Run for Anthos                                                   | Production / GA          | [link](https://cloud.google.com/anthos/run)                          |
| Grey Rook*                         |                                                                        | Production               | [link](https://www.greyrook.com)                                     |
| HighCohesion                       | SaaS E-commerce Integration Platform                                   | Development              | [link](https://www.highcohesion.com/)                                |
| IBM                                | IBM Cloud Code Engine                                                  | Production               | [link](https://cloud.ibm.com/codeengine)                             |
| KubeSphere*                        | [OpenFunction](https://github.com/OpenFunction/OpenFunction#serving)   | Development & Production | [link](https://kubesphere.io/)                                       |
| Liquidx*                           | InBlock                                                                | Production               | [link](https://www.liquidx.com/)                                     |
| [ManoMano](https://www.manomano.es/)                          |                                                                        | Development & Production | [link](https://www.manomano.es/)                                     |
| Optum*                             |                                                                        | Production               | [link](https://optum.com/)                                           |
| Red Hat                            | Red Hat OpenShift Serverless                                           | Generally Available      | [link](https://www.openshift.com/learn/topics/serverless)            |
| Scaleway*                          |                                                                        | Public Beta              | [link](https://www.scaleway.com/en)                                  |
| Spider.com*                        |                                                                        | Development              | [link](https://www.spider.com)                                       |
| Tata Communications*               |                                                                        | Development              | [link](https://www.tatacommunications.com/solutions/cloud/platforms) |
| TriggerMesh*                       |                                                                        | Production               | [link](https://triggermesh.com)                                      |
| VMware                             | Cloud Native Runtimes for VMware Tanzu                                 | Generally Available      | [link](https://network.tanzu.vmware.com/products/serverless)         |
| VMware                             | VMware Event Broker Appliance                                          | Development              | [link](https://vmweventbroker.io/)                                   |
| vorteil pty ltd*                   | Serverless orchestration engine                                        | Development & Production | [link](http://vorteil.io)                                            |
| KA-NABELL*                         | Largest trading card E-commerce in Japan                               | Development              | [link](https://www.ka-nabell.com)                                    |

`*` organization that is an end user of Knative and not a vendor/reseller
