---
title: "Knative Trademark committee"
linkTitle: "Trademark committee"
weight: 50
type: "docs"
aliases:
  - /contributing/trademark-committee/
---

The Knative Trademark Committee (KTC)
[advises the trademark owner on the usage and enforcement of Knative logos, names, and trademarks](./GOVERNANCE.md).

It is a separate body from the [Steering Committee](./STEERING-COMMITTEE.md) to
better represent the needs of vendors and other companies which market products
in conjunction with the Knative mark.

The governance of Knative is an open, living document, and will continue to
evolve as the community and project change.

- [Charter](#charter)
- [Delegated Authority](#delegated-authority)
- [Committee Meetings](#committee-meetings)
- [Committee Members](#committee-members)
- [Decision Process](#decision-process)
- [Getting in touch](#getting-in-touch)
- [Composition](#composition)
  - [Maintaining the Trademark Committee](#maintaining-the-trademark-committee)

## Charter

1. Advise the Trademark owner on the definition and enforcement of the "Knative"
   trademark usage and branding guidelines.

1. Review and approve conformance rules and tests that define brand use
   decisions.

1. Review and approve the scope and definition of additional derivative Knative
   marks (e.g. Knative Serving, Knative Core, etc).

1. Only the Trademark Committee can redefine its own charter, membership, and
   authority over Knative Trademark, conformance, and brand decisions.

## Delegated authority

The Trademark Committee may choose to create and delegate its authority to other
committees as-needed. This may be used (for example) to create sub-committees
for specific technical or marketing questions related to conformance or joint
marketing.

The Trademark Committee may delegate enforcement authority for one or more marks
to other Knative committees (such as the steering committee) to provide branding
for nascent efforts which are not yet subject to conformance and third-party
licensing. This delegation may be further delegated transitively, as needed.

It is expected that the Trademark Committee will delegate one or more marks to
the steering committee to provide branding for nascent efforts which are not yet
subject to conformance and third-party licensing.

## Committee Meetings

The trademark committee currently meets weekly, or as-needed. Meetings are open to public and held online.

Given the private nature of some of these discussions (e.g. trade secrets, legal
and compliance concerns, etc.) some meetings may be held in private.

[Meeting notes](https://docs.google.com/document/d/1ghGQl0O7TM8N_YQ33w6xKyQ2yUnOX0ACsOnlqoV_XgY/edit#) are available to members of the
[knative-dev mailing list](https://groups.google.com/forum/#!forum/knative-dev)
(note: these are accessible to members of the knative-users list as well).
Public meetings will be recorded and the recordings made available publicly.

Questions and proposals for changes to governance are posted as
[issues in the community repo](https://github.com/knative/community/issues), and
the trademark committee invites your feedback there. See
[Getting in touch](#getting-in-touch) for other options.

## Committee Members

| Member        | Organization | Profile                                            |
| ------------- | ------------ | -------------------------------------------------- |
| Mark Chmarny  | Google       | [@mchmarny](https://github.com/mchmarny)           |
| Simon Moser   | IBM/RedHat   | [@smoser-ibm](https://github.com/smoser-ibm)       |
| Evan Anderson | VMware       | [@evankanderson](https://github.com/evankanderson) |

## Decision process

The Trademark Committee desires to always reach consensus. Additionally, each
member can veto decisions regarding assignment of the mark, charter,
conformance, and scope.

Decisions requiring a vote include: issuing written policy, amending existing
written policy, official responses to publicly raised issues, or any other
decisions that are in the scope of the Trademark Committee’s charter.

Voted decisions pass when all members vote to approve the decision, or a
majority approves and the rest of the members abstain.

Decisions are made in meetings when a quorum of the members are present and may
pass with at least half the members of the committee supporting it. Vetoes by
absent committee members must be presented within 5 business days of a published
decision.

Quorum is considered reached when at least half of the members are present.
Quorum may be established over email or electronic chat systems as well as via
video or in-person meetings.

In case of extended absence or removal from the project for a code of conduct
violation, the organization of the absent member may appoint a single
replacement delegate from the same company during the absence.

## Getting in touch

There are three ways to raise issues to the steering committee for decision:

1. Emailing the steering committee at
   [trademark@knative.team](mailto:trademark@knative.team).
   This is a private discussion list to which all members of the committee have
   access.
2. Open an issue in the knative community repository and indicate that you would like
   attention from the trademark committee by using the 'trademark' label, or by
   tagging the trademark committee GitHub user group.
3. Chat with the trademark committee in the #trademark-questions Slack channel
   on the Knative Slack.

## Composition

The Trademark Committee is composed of company representatives from companies
which have substantially contributed to Knative over the last year, as well as
the trademark holder. Companies which have a currently-unfilled seat on the
Trademark Committee may veto decisions made in the 5 business days prior to the
selection of the representative.

Company representatives serving on the Trademark Committee may individually
resign or be removed from their seats by their affiliated company with at least
5 days notice.

For the 2020 year, one seat is assigned to each of Google, IBM/RedHat, and
VMware.

### Maintaining the Trademark Committee

The Trademark Committee membership is refreshed annually on the same timeline as
the Steering Committee elections (during the month of October). The Trademark
Committee's size is unbounded and may grow or shrink depending on the activity
in the project in the year prior to each refresh.

Membership in the committee is determined by counting the
[easily countable contributions over the last year](https://knative.teststats.cncf.io/d/5/companies-table?orgId=1&var-period_name=Last%20year&var-metric=contributions).
Each company which has contributed at least 15% of the total project
contributions will be eligible to select one representative to the committee.
Not all contributions are easy to count and many significant contributions are
hard to count. Vendors may petition the Trademark Committee to articulate why
they should receive additional contribution credit towards membership on the
Trademark Committee. Corporate parents, affiliates, or subsidiaries shall be
counted as one company.
