---
title: "Knative project values"
linkTitle: "Project values"
weight: 50
type: "docs"
aliases:
  - /contributing/values/
---

# Knative Community Values

It’s important to have explicitly defined values, these are ours:

- *We welcome all skill sets*
  - The Knative community should strive to be approachable, welcoming, and
    friendly to new contributors. 
- *All contributions are recognized*
  - A successful project requires contributions of many different kinds, from
    code to program management to customer research. As a community we want
    status within the project to be derived from contributions to the project
    recognizing that all contribution types have value.
  - Roles and skills should be aligned so contributors feel empowered to lead.
    If someone is doing the work, the role should be codified / formalized; eg
    glue, release, notes, PM.
  - Leadership roles should be earned by individuals based on their
    contributions in the project over time.
- *We value transparency and visibility*
  - Decision making should be as transparent as possible at each level in the
    project:
    - Work and decisions should happen in public.
    - All contributors should follow the same process, regardless of their
      employer.
    - There should be public notes and meeting recordings so that anyone can
      follow discussion regardless of their timezone or ability to meet.
- *Focus on what is right for the users ("delight our users")*
  - We should be wearing community hats in the community; community over company.
  - Focus on what’s right for the users.
  - We welcome structured, customer-driven features (end-users, PM roles).
- *We value feedback*
  - There should be well-defined, visible, accountable feedback loops.

---

Except as otherwise noted, the content of this page is licensed under the
[Creative Commons Attribution 4.0 License](https://creativecommons.org/licenses/by/4.0/),
and code samples are licensed under the
[Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).
