---
title: "Knative TOC Election - 2020 Voters Guide"
linkTitle: "2020 Voters Guide"
weight: 30
type: "docs"
---

# 2020 Voters Guide - Knative TOC Election

## Purpose

The role of this election is to fill out the three (3) seats due for election this year on the [Knative Technical Oversight Committee]. Each elected
member will serve a two (2) year term.

## Background

This election will shape the future of Knative as a community and project.
While WGs help shape the individual direction of the project, the
[TOC Charter] covers the technical direction, health of the project
and community as a whole.

## Eligibility

Please refer to the [TOC Election Charter] for:

- [Eligibility for candidacy]
- [Eligibility for voting] and
  [Eligible voters](voters.md) list (not in charter)

### Schedule

| Date         | Event                    |
| ------------ | ------------------------ |
| April 13     | Announcement of Election |
| April 24     | All candidate nominations and voting exception forms due by 0000 UTC (5pm Pacific) |
| April 27     | Election Begins via email ballots |
| May 11       | Election Closes by 0000 UTC (5pm Pacific) |
| May 13       | Announcement of Results at Knative Community Meeting |

## Candidacy Process

**Nomination**

If you want to stand for election, send an email to knative-steering@googlegroups.com
with the subject line "TOC Nomination: Your Name (@yourgithub)".

If you want to nominate someone else, you may do so, but PLEASE talk to them
first.

**Campaigning**

Please refer to the [TOC Election Charter] and understand
that we care deeply about [limiting corporate campaigning]. The election
officers and members of the steering committee [pledge to recuse] themselves
from any form of electioneering.

You should be running as a "brand free" individual, based on your contribution
to the project as a member of this community, outside of whatever corporate
roles you may hold.

## Voting Process

Knative members in [voters.md] will receive a ballot via email. If you are
not on that list and feel you have worked on Knative in a way that is NOT
reflected in GitHub contributions, you can use the [voter exemption form] to ask
to participate in the election.

Elections will be held using time-limited [Condorcet] ranking on [CIVS]
using the [Schulze](https://en.wikipedia.org/wiki/Schulze_method) method. The top vote getters will be elected to the open
seats.

Employer diversity is encouraged, and thus maximal representation will be
enforced as spelled out in the [TOC Election Charter].

You will be ranking your choices of the candidates with an option for
"no opinion". In the event of a tie, a coin will be flipped.

The election will open for voting the morning April 27, 2020 via email and
end two weeks after on May 11, 2019 at 00:00am UTC. You will receive an email
to the address on file at the start of the election from
"Knative Steering Committee (CIVS Poll Supervisor)" `<civs@cs.cornell.edu>`,
make sure it passes spam filters if necessary. Detailed
voting instructions will be addressed in email and the CIVS polling page. Please
note that email ballots might be unreliable, so you are encouraged to contact
the steering committee if you do not receive a ballot by May 1.

### Decision

The newly elected body will be announced in the Knative Community Meeting on May 13, 2020.

Following the meeting, the raw voting results and winners will be published on the
[Knative Blog].

For more information, definitions, and/or detailed election process, please refer to
the [TOC Election Charter].

## Nominees

|    Name    | Organization/Company |  GitHub  |
|:----------:|:--------------------:|:--------:|
| Adam Harwayne | Google | [@harwayne](https://github.com/harwayne) |
| Grant Rodgers | Google | [@grantr](https://github.com/grantr) |
| Lionel Villard | IBM | [@lionelvillard](https://github.com/lionelvillard) |
| Markus Thömmes | Red Hat | [@markusthoemmes](https://github.com/markusthoemmes) |
| Michael Maximilien | IBM | [@maximilien](https://github.com/maximilien) |
| Nghia Tran | Google | [@tcnghia](https://github.com/tcnghia) |
| Roland Huss | Red Hat | [@rhuss](https://github.com/rhuss) |

[Knative Technical Oversight Committee]: https://github.com/knative/community/blob/main/TECH-OVERSIGHT-COMMITTEE.md
[TOC Election Charter]: https://github.com/knative/community/blob/main/mechanics/TOC.md

[limiting corporate campaigning]: https://github.com/kubernetes/steering/blob/master/elections.md#limiting-corporate-campaigning
[pledge to recuse]: https://github.com/kubernetes/steering/blob/master/elections.md#steering-committee-and-election-officer-recusal

[Condorcet]: https://en.wikipedia.org/wiki/Condorcet_method
[CIVS]: http://civs.cs.cornell.edu/
[IRV method]: https://www.daneckam.com/?p=374

[Knative Blog]: https://knative.dev/blog/
[voter exemption form]: https://forms.gle/8SvAXomCJXsYEytt5
[voters.md]: ./voters.md

[Eligibility for candidacy]: https://github.com/knative/community/blob/main/mechanics/TOC.md#candidate-eligibility
[Eligibility for voting]: https://github.com/knative/community/blob/main/mechanics/TOC.md#candidate-eligibility#voter-eligibility
