-------------------------------------------------------------
name: David Hadas

ID: davidhadas

info:
  - affiliation: IBM Research
  - owners: Security WG + Security-Guard
-------------------------------------------------------------

Hi, 

I am co-lead for the Security-WG (together with Evan) and the owner of the Security-Guard code.

My main focus in the area of Knative Security is two folded:
 - How to secure Knative?
 - How to secure services deployed with Knative?

Knative creates uniformity between deployed services, I see such uniformity as a great opportunity to also secure such services "out-of-the-box".
I aim for Knative to be a secure-by-default system that deploys secure-by-default services. As part of this Security Agenda:
- I contributed Security-Guard to Knative (https://github.com/knative-sandbox/security-guard)
- I now work with others in the community to expedite support for end-to-end TLS and mTLS that will assure service data is secured, even without a service mesh.

A Second important aspect of my work is in helping the Knative community grow by showing its value for the deployment of microservices (beyond serverless, and functions).
As part of this Community Growth Agenda:
 - I published a post "Knative: An Opinionated Kubernetes" (https://davidhadas.wordpress.com/2022/08/29/knative-an-opinionated-kubernetes/) 
 - I published a post on Kubernetes.io Blog "Consider All Microservices Vulnerable -- And Monitor Their Behavior" (https://kubernetes.io/blog/2023/01/20/security-behavior-analysis/)
 - I gave a session on KubeCon Amsterdam (together with Dr. Max) "Use Knative When You Can, and Kubernetes When You Must" (https://www.youtube.com/watch?v=0IwysONytqc&ab_channel=CNCF%5BCloudNativeComputingFoundation%5D)

I am running for TOC to further the security aspects of the Knative project in parallel with evolving its range of capabilities to orchestrate all services following the Twelve-factor methodology (microservices, serverless services, and functions alike).

I hope to work with the members of the TOC, and the community at large, to develop a long-term Knative agenda to be the system of choice, for orchestrating secure-by-default microservices, serverless and functions.

