---
title: "Knative TOC election process"
linkTitle: "TOC election process"
weight: 30
type: "docs"
aliases:
  - /contributing/mechanics/toc/
---

# Guiding Principles

- The TOC seat should be earned by individuals and not company participation
- Members of the TOC should be exemplary members of the community who have
  demonstrated our community values
- The TOC should be made up of individuals from different working groups and
  vendors so that we have a diverse group of thought and input

# Composition

The TOC will have five seats with a 2 year term.

There will be an annual election to determine the composition of the TOC for the
following year. Ideally, three seats will be up for election in one year and two will be
up for election the following year. If more than 3 seats are up for re-election, then the
term for 1 or more seats will be 1 year as needed to maintain a balance of having either
2 or 3 seats up for election each year. The 2 year seats will be given to the most
preferred candidates in the election.

# Candidate Eligibility

Current TOC members and
[Approvers](https://github.com/knative/community/blob/main/ROLES.md#approver)
with at least 3 months tenure are eligible to stand for election. The approver
role may be held within either 
[Knative](https://github.com/knative/community/blob/main/peribolos/knative.yaml) or
[Knative Sandbox](https://github.com/knative/community/blob/main/peribolos/knative-sandbox.yaml).
Candidates may self-nominate or be nominated by another eligible member. The
approximate time commitment of a TOC member is around 8 hours per week.

# Voter Eligibility

Anyone who has at least 50 contributions in the last 12 months is eligible to
vote in the TOC election. Contributions are defined as opening PRs, reviewing
and commenting on PRs, opening and commenting on issues, writing design docs,
commenting on design docs, helping people on slack, participating in working
groups and etc.

[This dashboard](https://knative.devstats.cncf.io/d/9/developer-activity-counts-by-repository-group-table?orgId=1&var-period_name=Last%20year)
shows only GitHub based contributions and does not capture all the contributions
we value. _We expect this metric not to capture everyone who should be eligible
to vote._ If a community member has had significant contributions over the past
year but is not captured in the stats.knative.dev dashboard, they will be able
to submit an exception form to the steering committee who will then review and
determine whether this member should be marked as an exception.

Additionally, anyone serving on the SC, TOC, or Trademark Committee will 
automatically be eligible to vote regardless of their number of contributions.

All eligible voters will be captured at
`knative/community/elections/$YEAR-TOC/voters.yaml` and the voters’ guide
will be captured at `knative/community/elections/$YEAR-TOC/README.md`
similar to the kubernetes election process.

We are committed to an inclusive process and will adapt future eligibility
requirements based on community feedback.

# Election Process

Elections will be held using a time-limited
[Condorcet](https://en.wikipedia.org/wiki/Condorcet_method) ranking on
[Elekto](https://elekto.io/). The top vote-getters will be elected to
the open seats.

## Election Officers

The steering committee will be the election officers for the technical oversight
committee elections, or they may delegate this responsibility and appoint
election officers.

## Vacancies

In the event of a resignation or other loss of an elected TOC member with less
than three months left until the next regular annual election, the Steering
Committee shall appoint a qualified contributor to fill that TOC seat until
that election.

Otherwise the next most preferred candidate from the previous annual
election will be offered the seat. If the seat cannot be filled from the
previous annual election, the next most preferred candidate from the most
recent special election will be offered the seat. This process will continue
until the seat is filled.

In case this fails to fill the seat, a special election for that position will
be held as soon as possible. Eligible voters from the most recent election will
vote in the special election (ie: eligibility will not be redetermined at the
time of the special election). 

Any replacement TOC member who was appointed more than three months
before the next TOC election will serve out the remainder of the term for
the person they are replacing, regardless of the length of that
remainder.

---

Except as otherwise noted, the content of this page is licensed under the
[Creative Commons Attribution 4.0 License](https://creativecommons.org/licenses/by/4.0/),
and code samples are licensed under the
[Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).
