# Knative Documentation Working Group Charter

Authors: Sam O’Dell, ([odells@google.com](mailto:odells@google.com)), Richie Escarez ([rescarez@google.com](mailto:rescarez@google.com)), Ivan Nikittin ([ifnikitt@google.com](mailto:ifnikitt@google.com))

## Mission

To write, edit, review, organize, and maintain contributions to the Knative open source documentation.

## Goals

Create a first-class documentation experience for Knative users by:

- Establishing a documentation strategy and aligning new contributions with it
- Defining style guidelines and terminology for the doc set
- Coordinating the efforts of documentation contributors and encouraging new contributions
- Adopting appropriate tooling to help with automation
- Creating processes that:
  - Lower the time to address PRs and issues
  - Protect the quality of the documentation, especially over time
- Contributing to overall product direction through our experience as the earliest Knative users

## Scope

This group will primarily concern itself with the content of the [Knative Docs repo](https://github.com/knative/docs), but may also contribute to the documentation in other [Knative](https://github.com/knative) repos.

## Documentation Working Group Roadmap

[Link to Roadmap](https://github.com/orgs/knative/projects/20)
