# Kafka Eventing Working Group

# Motivation/Abstract

Within the knative-sandbox org, Kafka based eventing currently includes 2 channel implementations, 2 sources implementations, 1 broker and 1 sink with more than three vendors and multiple users for production workloads. With that, it is desired to have a dedicated forum for Kafka based Eventing which can be really beneficial both for exposure and focus.

# Mission Statement

The Eventing Kafka working group is the innovation forum for Kafka experts, end users and vendors wanting to leverage Kafka for Knative Eventing components. The working group enables a diversity of Kafka based components while ensuring Eventing users end up with a smooth UX for choosing, running and maintaining those components and that Eventing Kafka contributors are aligned on a set of working group standards.

# Goals

1. Align the future work across all Kafka based eventing components into a single Kafka focused roadmap.
2. Promote eventing Kafka to the community and attract more Kafka end users, adopters, and contributors.
3. Narrow-focus on Kafka features, Kafka docs, and Kafka user and contributor experience.

# In Scope

* Maintain a roadmap that covers all the Kafka based projects within knative-sandbox.
* Funnel the feedback of Kafka eventing components and surface that to other working groups (e.g. to unblock a specific feature development or enhance the user experience of Kafka based Eventing components)
* Work with the Docs WG to maintain and enhance the Kafka components docs.
* Maintain a guide that helps Eventing users understand the differences between existing Kafka components and how to choose between them.
* Strive to standardize the APIs across the different Kafka eventing components.
* Unifying and facilitating setting up Kafka CI infrastructure for the current and future Kafka based components.
* Help our contributors

# Out of Scope

* Dictate any implementation details, architecture, language or framework on Kafka components.
* Mandate a feature parity between different implementations of Kafka eventing components
* Deciding on changes to Eventing API (for example, to enable ordered delivery), the changes should be driven through the cross-technology working groups (e.g. Eventing WG in the case of ordered delivery).

## Proposed Leads

* Ahmed Abdalla (Red Hat)
* Lionel Villard (IBM)
* Travis Minke (SAP)
